﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Drawing;
using System.Windows.Forms;

namespace LoadResourceFile
{
    public class LoadImage
    {

        int count;
        int[] c;
        byte[][] img;
        Image[] image;
        MemoryStream ms;
        string path;

        public LoadImage(string p)
        {
            path = p;
        }

        public Image[] GetImage()
        {
            try
            {
                StreamReader sr = new StreamReader(path);
                string temp = sr.ReadLine();
                if (temp.IndexOf("(<--|") != -1 && temp.IndexOf("|-->)") != -1)
                {
                    temp = temp.Replace("(<--|", "");
                    temp = temp.Replace("|-->)", "");
                    count = Convert.ToInt32(temp);
                }
                img = new byte[count][];
                string[] t = new string[count];
                c = new int[count];
                for (int i = 0; i < count; i++)
                {
                    t[i] = sr.ReadLine();
                    if (t[i].IndexOf("(<--|") != -1 && t[i].IndexOf("|-->)") != -1)
                    {
                        t[i] = t[i].Replace("(<--|", "");
                        t[i] = t[i].Replace("|-->)", "");
                        c[i] = Convert.ToInt32(t[i]);
                    }
                    img[i] = new byte[c[i]];
                    for (int j = 0; j < c[i]; j++)
                    {
                        img[i][j] = Convert.ToByte(sr.ReadLine());
                    }
                }
                sr.Close();
                image = new Image[count];
                for (int i = 0; i < count; i++)
                {
                    ms = new MemoryStream(img[i], 0, c[i]);
                    image[i] = Image.FromStream(ms);
                }
                return image;
            }
            catch
            {
                MessageBox.Show("获取资源文件出错！", "提示", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return null;
            }
        }

    }
}
